<template>
    <div class="box-lang">
        <a :href="`#${locale}`" v-for="(lang, locale) in supportedLocales" @click="changeLocale(locale)">
            <img :src="`/img/${locale}.png`" alt="">
        </a>
    </div>
</template>

<script>
	import {mapGetters, mapActions} from "vuex";

    export default {
		name: "LocaleChanger",
        computed: {
		    ...mapGetters([
		        'locale',
		        'supportedLocales',
            ])
        },
        watch: {
		    locale(locale){
		        this.$i18n.locale = locale;
            }
        },
        methods: {
		    ...mapActions([
		        'setLocale'
            ]),
            changeLocale(locale){
		        this.setLocale(locale);
            }
        }
	}
</script>

<style scoped>

</style>
